Commit 8ac615f4 authored by LAVENIER's avatar LAVENIER
Browse files

[fix] Add compatibility for App in version 1.7.0 (add deprecated arguments,...

[fix] Add compatibility for App in version 1.7.0 (add deprecated arguments, for 'configuration' GraphQL query)
parent a020256d
......@@ -85,8 +85,14 @@ public class ConfigurationGraphQLService {
@GraphQLQuery(name = "configuration", description = "Load pod configuration")
public ConfigurationVO getConfiguration(
@GraphQLArgument(name = "id") Integer id, // /!\ Deprecated !
@GraphQLArgument(name = "label") String label, // /!\ Deprecated !
@GraphQLEnvironment Set<String> fields
) {
if (id != null || label != null) {
log.warn("Deprecated used of GraphQL 'configuration' query. Since version 1.8.0, arguments 'id' and 'label' have been deprecated, and will be ignored.");
}
SoftwareVO software = configurationService.getCurrentSoftware();
// Transform to configuration (fill images, etc.)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment